KDE 4.9 PyKDE API Reference

- KDE's Python API

# AbstractMarbleGraphicsLayout Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Methods
| __init__ (self)
| updatePositions (self, Marble.MarbleGraphicsItem parent)

## Method Documentation

__init__ | ( |  | self ) |

updatePositions | ( | self, |
|  | Marble.MarbleGraphicsItem | parent
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

This updates the positions of all items in the layout. Calling this will be done on every repainting, so you won't have to do it yourself.